Bug 443958 - Kmail/Akregator/Kleopatra etc crash/segmentation fault when quitting the applications
Summary: Kmail/Akregator/Kleopatra etc crash/segmentation fault when quitting the appl...
Status: RESOLVED UPSTREAM
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2021-10-18 10:15 UTC by James Beddek
Modified: 2022-10-15 00:16 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James Beddek 2021-10-18 10:15:50 UTC
Application: kmail (5.18.2 (21.08.2))
 (Compiled from sources)
Qt Version: 5.15.2
Frameworks Version: 5.87.0
Operating System: Linux 5.14.12-gentoo-dist x86_64
Windowing System: X11
Distribution: Gentoo Linux
DrKonqi: 5.23.0 [KCrashBackend]

-- Information about the crash:
- What I was doing when the application crashed:

Quitting the application. Either through the task bar or through the GUI interface.
I believe this bug has only just started with the introduction of the 5.23.0 packages, but I am not sure.

Hopefully the backtrace is useful (qtwebengine -g build times are a nightmare)

The crash can be reproduced every time.

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault

[New LWP 104804]
[New LWP 104859]
[New LWP 104868]
[New LWP 104870]
[New LWP 104883]
[New LWP 104902]
[New LWP 104916]
[New LWP 104957]
[New LWP 104958]
[New LWP 104959]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
0x00007f5212a056c2 in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x7f51fa437910, expected=104859, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=128, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
__preamble__
Thread 11 (Thread 0x7f51ddffb640 (LWP 104959) "ThreadPoolForeg"):
#0  0x00007f5212a056c2 in __futex_abstimed_wait_common64 (futex_word=futex_word@entry=0x7f51ddffa380, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f51ddffa220, private=private@entry=0, cancel=cancel@entry=true) at ../sysdeps/nptl/futex-internal.c:74
#1  0x00007f5212a0572b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x7f51ddffa380, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f51ddffa220, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f52129ff1b4 in __pthread_cond_wait_common (abstime=0x7f51ddffa220, clockid=1, mutex=0x7f51ddffa330, cond=0x7f51ddffa358) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x7f51ddffa358, mutex=0x7f51ddffa330, abstime=0x7f51ddffa220) at pthread_cond_wait.c:637
#4  0x00007f5219ede094 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5219edea68 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f5219ebb87c in base::internal::WorkerThread::Delegate::WaitForWork(base::WaitableEvent*) () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f5219ebbf0a in base::internal::WorkerThread::RunWorker() () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5219ebbd9d in base::internal::WorkerThread::RunPooledWorker() () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5219ee155a in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f52129f8e1e in start_thread (arg=0x7f51ddffb640) at pthread_create.c:481
#11 0x00007f52157509cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
Thread 10 (Thread 0x7f51dd7fa640 (LWP 104958) "ThreadPoolForeg"):
#1  0x00007f5212a0572b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x7f51dd7f9380, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f51dd7f9220, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f52129ff1b4 in __pthread_cond_wait_common (abstime=0x7f51dd7f9220, clockid=1, mutex=0x7f51dd7f9330, cond=0x7f51dd7f9358) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x7f51dd7f9358, mutex=0x7f51dd7f9330, abstime=0x7f51dd7f9220) at pthread_cond_wait.c:637
#4  0x00007f5219ede094 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5219edea68 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f5219ebb87c in base::internal::WorkerThread::Delegate::WaitForWork(base::WaitableEvent*) () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f5219ebbfbe in base::internal::WorkerThread::RunWorker() () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5219ebbd9d in base::internal::WorkerThread::RunPooledWorker() () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5219ee155a in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f52129f8e1e in start_thread (arg=0x7f51dd7fa640) at pthread_create.c:481
#11 0x00007f52157509cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
Thread 9 (Thread 0x7f519b7fe640 (LWP 104957) "CPMMListener"):
#1  0x00007f5202ba37f1 in  () at /usr/lib64/libnvidia-glcore.so.495.29.05
#2  0x00007f5202ba1288 in  () at /usr/lib64/libnvidia-glcore.so.495.29.05
#3  0x00007f52129f8e1e in start_thread (arg=0x7f519b7fe640) at pthread_create.c:481
#4  0x00007f52157509cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
Thread 8 (Thread 0x7f5199ffb640 (LWP 104916) "ThreadPoolSingl"):
#1  0x00007f5212a0572b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x7f5199ffa380, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f52129feebf in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f5199ffa330, cond=0x7f5199ffa358) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x7f5199ffa358, mutex=0x7f5199ffa330) at pthread_cond_wait.c:619
#4  0x00007f5219eddf58 in base::ConditionVariable::Wait() () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5219edea51 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f5219ede79f in base::WaitableEvent::Wait() () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f5219ebbfbe in base::internal::WorkerThread::RunWorker() () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5219ebbdcd in base::internal::WorkerThread::RunSharedWorker() () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5219ee155a in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f52129f8e1e in start_thread (arg=0x7f5199ffb640) at pthread_create.c:481
#11 0x00007f52157509cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
Thread 7 (Thread 0x7f51c0ff9640 (LWP 104902) "MemoryInfra"):
#1  0x00007f5212a0572b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x7f51c0ff82b0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f52129feebf in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f51c0ff8260, cond=0x7f51c0ff8288) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x7f51c0ff8288, mutex=0x7f51c0ff8260) at pthread_cond_wait.c:619
#4  0x00007f5219eddf58 in base::ConditionVariable::Wait() () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5219edea51 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f5219ede79f in base::WaitableEvent::Wait() () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f5219e5fa58 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5219ea90bc in non-virtual thunk to base::sequence_manager::internal::ThreadControllerWithMessagePumpImpl::Run(bool, base::TimeDelta) () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5219e7f303 in base::RunLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f5219ec3f78 in base::Thread::ThreadMain() () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f5219ee155a in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f52129f8e1e in start_thread (arg=0x7f51c0ff9640) at pthread_create.c:481
#13 0x00007f52157509cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
Thread 6 (Thread 0x7f51c17fa640 (LWP 104883) "ThreadPoolSingl"):
#1  0x00007f5212a0572b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x7f51c17f9380, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f52129feebf in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f51c17f9330, cond=0x7f51c17f9358) at pthread_cond_wait.c:504
#3  __pthread_cond_wait (cond=0x7f51c17f9358, mutex=0x7f51c17f9330) at pthread_cond_wait.c:619
#4  0x00007f5219eddf58 in base::ConditionVariable::Wait() () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5219edea51 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f5219ede79f in base::WaitableEvent::Wait() () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f5219ebbfbe in base::internal::WorkerThread::RunWorker() () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5219ebbdfd in base::internal::WorkerThread::RunDedicatedWorker() () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5219ee155a in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f52129f8e1e in start_thread (arg=0x7f51c17fa640) at pthread_create.c:481
#11 0x00007f52157509cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
Thread 5 (Thread 0x7f51de7fc640 (LWP 104870) "ThreadPoolForeg"):
#1  0x00007f5212a0572b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x7f51de7fb380, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f51de7fb220, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f52129ff1b4 in __pthread_cond_wait_common (abstime=0x7f51de7fb220, clockid=1, mutex=0x7f51de7fb330, cond=0x7f51de7fb358) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x7f51de7fb358, mutex=0x7f51de7fb330, abstime=0x7f51de7fb220) at pthread_cond_wait.c:637
#4  0x00007f5219ede094 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5219edea68 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f5219ebb87c in base::internal::WorkerThread::Delegate::WaitForWork(base::WaitableEvent*) () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f5219ebbfbe in base::internal::WorkerThread::RunWorker() () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5219ebbd9d in base::internal::WorkerThread::RunPooledWorker() () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5219ee155a in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f52129f8e1e in start_thread (arg=0x7f51de7fc640) at pthread_create.c:481
#11 0x00007f52157509cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
Thread 4 (Thread 0x7f51df7fe640 (LWP 104868) "ThreadPoolForeg"):
#1  0x00007f5212a0572b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x7f51df7fd380, expected=expected@entry=0, clockid=clockid@entry=1, abstime=abstime@entry=0x7f51df7fd220, private=private@entry=0) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f52129ff1b4 in __pthread_cond_wait_common (abstime=0x7f51df7fd220, clockid=1, mutex=0x7f51df7fd330, cond=0x7f51df7fd358) at pthread_cond_wait.c:504
#3  __pthread_cond_timedwait (cond=0x7f51df7fd358, mutex=0x7f51df7fd330, abstime=0x7f51df7fd220) at pthread_cond_wait.c:637
#4  0x00007f5219ede094 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f5219edea68 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f5219ebb87c in base::internal::WorkerThread::Delegate::WaitForWork(base::WaitableEvent*) () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f5219ebbfbe in base::internal::WorkerThread::RunWorker() () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f5219ebbd9d in base::internal::WorkerThread::RunPooledWorker() () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f5219ee155a in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f52129f8e1e in start_thread (arg=0x7f51df7fe640) at pthread_create.c:481
#11 0x00007f52157509cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
[KCrash Handler]
#4  0x0000000000000000 in  ()
#5  0x00007f521341abba in __unw_get_proc_info(unw_cursor_t*, unw_proc_info_t*) (cursor=0x7f51fa435c90, info=0x7f51fa4358c8) at /usr/src/debug/sys-libs/llvm-libunwind-13.0.0/libunwind/src/libunwind.cpp:186
#6  0x00007f521341eb7c in _Unwind_GetLanguageSpecificData (context=context@entry=0x7f51fa435c90) at /usr/src/debug/sys-libs/llvm-libunwind-13.0.0/libunwind/src/UnwindLevel1.c:430
#7  0x00007f520f4d00ac in __gcc_personality_v0 (version=<optimized out>, actions=<optimized out>, exception_class=<optimized out>, ue_header=0x7f51fa437cb0, context=0x7f51fa435c90) at /var/tmp/portage/sys-devel/gcc-11.2.0/work/gcc-11.2.0/libgcc/unwind-c.c:154
#8  0x00007f520f4cd434 in _Unwind_ForcedUnwind_Phase2 (exc=0x7f51fa437cb0, context=0x7f51fa435c90, frames_p=0x7f51fa435b98) at /var/tmp/portage/sys-devel/gcc-11.2.0/work/gcc-11.2.0/libgcc/unwind.inc:182
#9  0x00007f520f4cd8cd in _Unwind_ForcedUnwind (exc=0x7f51fa437cb0, stop=0x7f5212a01eb0 <unwind_stop>, stop_argument=0x7f51fa436570) at /var/tmp/portage/sys-devel/gcc-11.2.0/work/gcc-11.2.0/libgcc/unwind.inc:217
#10 0x00007f5212a02030 in __GI___pthread_unwind (buf=<optimized out>) at unwind.c:131
#11 0x00007f52129f7751 in __do_cancel () at ./pthreadP.h:307
#12 sigcancel_handler (sig=32, si=0x7f51fa435f30, ctx=<optimized out>) at nptl-init.c:161
#13 sigcancel_handler (sig=<optimized out>, si=0x7f51fa435f30, ctx=<optimized out>) at nptl-init.c:126
#14 0x00007f5212a03660 in <signal handler called> () at /lib64/libpthread.so.0
#15 __GI___libc_read (nbytes=1, buf=0x556c39c50593, fd=36) at ../sysdeps/unix/sysv/linux/read.c:26
#16 __GI___libc_read (fd=36, buf=0x556c39c50593, nbytes=1) at ../sysdeps/unix/sysv/linux/read.c:24
#17 0x00007f52156d3ab4 in _IO_new_file_underflow (fp=0x556c39c50510) at /usr/src/debug/sys-libs/glibc-2.33-r7/glibc-2.33/libio/libioP.h:948
#18 0x00007f52156c7aa8 in _IO_getdelim (lineptr=0x7f51fa4364b0, n=0x7f51fa4364a8, delimiter=10, fp=0x556c39c50510) at iogetdelim.c:73
#19 0x00007f5208013964 in getline (__lineptr=0x7f51fa4364b0, __n=0x7f51fa4364a8, __stream=0x7f521574197c <__GI___libc_read+76>) at /usr/include/bits/stdio.h:120
#20 get_reply (connection=connection@entry=0x556c39d8c110) at libspeechd.c:1769
#21 0x00007f520800f9cb in spd_events_handler (conn=0x556c39d8c110) at libspeechd.c:1809
#22 0x00007f52129f8e1e in start_thread (arg=0x7f51fa437640) at pthread_create.c:481
#23 0x00007f52157509cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
Thread 2 (Thread 0x7f5201dad640 (LWP 104804) "QDBusConnection"):
#1  0x00007f520f5b879c in g_main_context_poll (context=0x7f51fc000c20, timeout=-1, fds=0x7f51fc0279c0, n_fds=1, priority=<optimized out>) at ../glib-2.70.0/glib/gmain.c:4478
#2  g_main_context_iterate (context=context@entry=0x7f51fc000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib-2.70.0/glib/gmain.c:4170
#3  0x00007f520f5b88b0 in g_main_context_iteration (context=0x7f51fc000c20, may_block=1) at ../glib-2.70.0/glib/gmain.c:4240
#4  0x00007f5215edd43b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f51fc000b60, flags=...) at /usr/src/debug/dev-qt/qtcore-5.15.2-r10/qtbase-a4f9e56975fa6ab4a1f63a9b34a4d77b1cfe4acd/src/corelib/kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f5215e86536 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f5201dac4b0, flags=...) at /usr/src/debug/dev-qt/qtcore-5.15.2-r10/qtbase-a4f9e56975fa6ab4a1f63a9b34a4d77b1cfe4acd/src/corelib/kernel/qeventloop.cpp:139
#6  QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f5201dac4b0, flags=...) at /usr/src/debug/dev-qt/qtcore-5.15.2-r10/qtbase-a4f9e56975fa6ab4a1f63a9b34a4d77b1cfe4acd/src/corelib/kernel/qeventloop.cpp:232
#7  0x00007f5215cd5e8b in QThread::exec() (this=<optimized out>) at /usr/src/debug/dev-qt/qtcore-5.15.2-r10/qtbase-a4f9e56975fa6ab4a1f63a9b34a4d77b1cfe4acd/src/corelib/thread/qthread.cpp:547
#8  0x00007f52153e0cb0 in QDBusConnectionManager::run() (this=0x7f521543c4f8 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at /usr/src/debug/dev-qt/qtdbus-5.15.2-r10/qtbase-a4f9e56975fa6ab4a1f63a9b34a4d77b1cfe4acd/src/dbus/qdbusconnection.cpp:179
#9  0x00007f5215cd71d0 in QThreadPrivate::start(void*) (arg=0x7f521543c4f8 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at /usr/src/debug/dev-qt/qtcore-5.15.2-r10/qtbase-a4f9e56975fa6ab4a1f63a9b34a4d77b1cfe4acd/src/corelib/thread/qthread_unix.cpp:329
#10 0x00007f52129f8e1e in start_thread (arg=0x7f5201dad640) at pthread_create.c:481
#11 0x00007f52157509cf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
Thread 1 (Thread 0x7f520a0d0040 (LWP 104798) "kmail"):
#1  0x00007f5212a0572b in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x7f51fa437910, expected=<optimized out>, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=128) at ../sysdeps/nptl/futex-internal.c:123
#2  0x00007f52129fa2d3 in __pthread_clockjoin_ex (threadid=139990067803712, thread_return=thread_return@entry=0x0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, block=block@entry=true) at pthread_join_common.c:102
#3  0x00007f52129fa14f in __pthread_join (threadid=<optimized out>, thread_return=thread_return@entry=0x0) at pthread_join.c:24
#4  0x00007f520800fe08 in spd_close (connection=0x556c39d8c110) at libspeechd.c:604
#5  0x00007f520801c43e in QTextToSpeechEngineSpeechd::~QTextToSpeechEngineSpeechd() (this=0x556c39d8c3d0) at /usr/src/debug/dev-qt/qtspeech-5.15.2-r1/qtspeech-everywhere-src-5.15.2/src/plugins/tts/speechdispatcher/qtexttospeech_speechd.cpp:78
#6  0x00007f520801c599 in QTextToSpeechEngineSpeechd::~QTextToSpeechEngineSpeechd() (this=0x556c39d8c3d0) at /usr/src/debug/dev-qt/qtspeech-5.15.2-r1/qtspeech-everywhere-src-5.15.2/src/plugins/tts/speechdispatcher/qtexttospeech_speechd.cpp:74
#7  0x00007f520e781d44 in QTextToSpeechPrivate::~QTextToSpeechPrivate() (this=0x556c39d92f40) at /usr/src/debug/dev-qt/qtspeech-5.15.2-r1/qtspeech-everywhere-src-5.15.2/src/tts/qtexttospeech.cpp:88
#8  QTextToSpeechPrivate::~QTextToSpeechPrivate() (this=0x556c39d92f40) at /usr/src/debug/dev-qt/qtspeech-5.15.2-r1/qtspeech-everywhere-src-5.15.2/src/tts/qtexttospeech.cpp:86
#9  0x00007f5215eb0c73 in QScopedPointerDeleter<QObjectData>::cleanup(QObjectData*) (pointer=0x7f51fa437910) at ../../include/QtCore/../../../qtbase-a4f9e56975fa6ab4a1f63a9b34a4d77b1cfe4acd/src/corelib/tools/qscopedpointer.h:60
#10 QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::~QScopedPointer() (this=0x556c39cad458) at ../../include/QtCore/../../../qtbase-a4f9e56975fa6ab4a1f63a9b34a4d77b1cfe4acd/src/corelib/tools/qscopedpointer.h:107
#11 QObject::~QObject() (this=0x556c39cad450) at /usr/src/debug/dev-qt/qtcore-5.15.2-r10/qtbase-a4f9e56975fa6ab4a1f63a9b34a4d77b1cfe4acd/src/corelib/kernel/qobject.cpp:1094
#12 0x00007f520e7843e9 in QTextToSpeech::~QTextToSpeech() (this=0x556c39cad450) at .moc/../../../../qtspeech-everywhere-src-5.15.2/src/tts/qtexttospeech.h:54
#13 0x00007f5215eb0efb in QObjectPrivate::deleteChildren() (this=<optimized out>, this@entry=0x556c39e2b390) at /usr/src/debug/dev-qt/qtcore-5.15.2-r10/qtbase-a4f9e56975fa6ab4a1f63a9b34a4d77b1cfe4acd/src/corelib/kernel/qobject.cpp:2104
#14 0x00007f5215eb0c3f in QObject::~QObject() (this=0x7f521408efe8) at /usr/src/debug/dev-qt/qtcore-5.15.2-r10/qtbase-a4f9e56975fa6ab4a1f63a9b34a4d77b1cfe4acd/src/corelib/kernel/qobject.cpp:1082
#15 0x00007f5215690d23 in __run_exit_handlers (status=0, listp=0x7f521580d738 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true, run_dtors=run_dtors@entry=true) at exit.c:108
#16 0x00007f5215690eca in __GI_exit (status=<optimized out>) at exit.c:139
#17 0x00007f5215679804 in __libc_start_main (main=0x556c3893c730, argc=3, argv=0x7fff820ace08, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff820acdf8) at ../csu/libc-start.c:366
#18 0x0000556c3893c39a in  ()
[Inferior 1 (process 104798) detached]

Reported using DrKonqi
Comment 1 James Beddek 2021-10-18 10:20:39 UTC
Note: I see bugs like https://bugs.kde.org/show_bug.cgi?id=394419 which seem very similar to mine, but those have been closed due to inactivity by the looks of it.
Comment 2 James Beddek 2021-11-14 01:28:06 UTC
This turns out to be due to UB in qtspeech when compiled with Clang 13.0.0. I have opened a relevant Qt bug report here: https://bugreports.qt.io/projects/QTBUG/issues/QTBUG-98321

I was not able to fix it myself, though perhaps someone from KDE might be able to :-). Below is the ubsan report:

telans@desktop ~ $ LD_PRELOAD=/usr/lib/clang/13.0.0/lib/linux/libclang_rt.ubsan_standalone-x86_64.so kmail
Cannot initialize model with data QJsonObject() . missing: QJsonValue(string, "urls")
FolderCollectionMonitor::~FolderCollectionMonitor()   MailCommon::FolderCollectionMonitor(0x55c6c95d9cd0)
/var/tmp/portage/dev-qt/qtspeech-5.15.2-r1/work/qtspeech-everywhere-src-5.15.2/src/tts/qtexttospeech.cpp:87:15: runtime error: member call on address 0x55c6c9c535f0 which does not point to an object of type 'QTextToSpeech'
0x55c6c9c535f0: note: object is of type 'QObject'
 00 00 00 00  48 c6 79 2b d2 7f 00 00  d0 27 c5 c9 c6 55 00 00  6e 66 69 67 00 00 00 00  41 00 00 00
              ^~~~~~~~~~~~~~~~~~~~~~~
              vptr for 'QObject'
SUMMARY: UndefinedBehaviorSanitizer: undefined-behavior /var/tmp/portage/dev-qt/qtspeech-5.15.2-r1/work/qtspeech-everywhere-src-5.15.2/src/tts/qtexttospeech.cpp:87:15 in
/var/tmp/portage/dev-qt/qtspeech-5.15.2-r1/work/qtspeech-everywhere-src-5.15.2/src/tts/qtexttospeech.cpp:263:5: runtime error: member call on address 0x55c6c9c535f0 which does not point to an object of type 'QTextToSpeech'
0x55c6c9c535f0: note: object is of type 'QObject'
 00 00 00 00  48 c6 79 2b d2 7f 00 00  d0 27 c5 c9 c6 55 00 00  6e 66 69 67 00 00 00 00  41 00 00 00
              ^~~~~~~~~~~~~~~~~~~~~~~
              vptr for 'QObject'
SUMMARY: UndefinedBehaviorSanitizer: undefined-behavior /var/tmp/portage/dev-qt/qtspeech-5.15.2-r1/work/qtspeech-everywhere-src-5.15.2/src/tts/qtexttospeech.cpp:263:5 in
Comment 3 James Beddek 2022-10-15 00:16:19 UTC
Closing as I can no longer reproduce this with Qt 5.15, and it is fixed upstream with Qt 6.4.